---
search:
  tags:
    - Purchase Orders
    - GET
seo:
  description: >-
    Get a purchase order. Reference for the GET
    /v1/organizations/{orgId}/purchase-orders/{purchaseOrderId} endpoint in the
    Stashtab Vault Warehouse API.
sidebar:
  label: Get a purchase order
  badge: GET
title: Get a purchase order
type: openapi-operation
---
`GET /v1/organizations/{orgId}/purchase-orders/{purchaseOrderId}`

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "createdAt": "string",
    "declarationRevision": -9007199254740991,
    "expectedDate": "string",
    "id": "string",
    "kind": "standard",
    "orderDate": "string",
    "origin": "customer",
    "poNumber": "string",
    "providerPoRef": "string",
    "tracking": "string",
    "arrivals": [
      {
        "arrivalIdentity": "string",
        "id": "string",
        "observedAt": "string",
        "providerReceiptRef": "string"
      }
    ],
    "counted": {
      "byCondition": [
        {
          "condition": "nm",
          "quantity": -9007199254740991
        }
      ],
      "total": -9007199254740991
    },
    "currency": "string",
    "declaredQuantity": -9007199254740991,
    "lines": [
      {
        "baseSku": "string",
        "counted": {
          "byCondition": [
            {
              "condition": "nm",
              "quantity": -9007199254740991
            }
          ],
          "total": -9007199254740991
        },
        "declaredCondition": "nm",
        "declaredQuantity": -9007199254740991,
        "id": "string",
        "productBindingId": "string",
        "revision": -9007199254740991,
        "submittedName": "string",
        "supplierSku": "string",
        "variantBindingId": "string",
        "variance": -9007199254740991
      }
    ],
    "note": "string",
    "orderNumber": "string",
    "providerReceived": {
      "lines": [
        {
          "orderedQuantity": -9007199254740991,
          "receivedQuantity": -9007199254740991,
          "sku": "string"
        }
      ],
      "providerStatus": "string",
      "status": "available"
    },
    "undeclared": [
      {
        "counted": {
          "byCondition": [
            {
              "condition": "nm",
              "quantity": -9007199254740991
            }
          ],
          "total": -9007199254740991
        },
        "productBindingId": "string"
      }
    ],
    "variance": -9007199254740991
  },
  "meta": {
    "requestId": "string"
  }
}
```
